@echo Off
If Exist ..\tie95.exe goto :warn

goto :wrongver

:warn
Echo ======================================================
Echo WARNING: This Patch will modify your TIE Fighter files
Echo ======================================================
Echo The EH, TAC, SCO or Creator of this patch take no 
Echo responsibility for any damage incured to your systems 
Echo or data. You agree that any and all responsibilty for 
Echo any damages incurred is your own. This patch is not 
Echo created, distrubuted or supported in any way by Lucas 
Echo Arts Entertainment Company. Use at your own risk.
Echo ======================================================

choice I have read and agree with the above disclaimer 
If errorlevel == 2 goto :end
If errorlevel == 1 goto :EHSP

:EHSP
If Exist Back.EH goto :cont

goto :EHSPMIS

:cont
If Exist ..\tie95.exe goto :95

goto :wrongver

:95
rem ============================================
rem TIE 95 Backup and Install routines
rem ============================================

If exist Back.ASH goto :95preback

echo This is a flag, do no delete. >> Back.ASH

md BACKUP
md BACKUP\ASH
copy ..\TIE95.EXE Backup\ASH
copy ..\ivfiles\SPEC3320.LST Backup\ASH
copy ..\ivfiles\SPEC3640.LST Backup\ASH
copy ..\ivfiles\ASH.OPT Backup\ASH
copy ..\resource\tietext0.lfd Backup\ASH

goto :95next

:95preback
Echo =======================
Echo Backup already exists. 
Echo Skipping Backing up.
Echo =======================    
Pause

:95next

copy ASHpatch\tiepatch.exe .. /y
copy ASHpatch\tiepatch.exe ..\resource /y
copy ASHpatch\ASH.t95 .. /y
copy ASHpatch\ASH.OPT ..\ivfiles /y
copy ASHpatch\tietext0.zt ..\resource /y

cd ASHpatch

rem == ..\Ivfiles\Spec3320.lst ==
header ..\..\Ivfiles\spec3320.lst 17 0 -pasteof >> ..\..\Ivfiles\spec3320.new
type spec3320.1 >> ..\..\Ivfiles\spec3320.new
header ..\..\Ivfiles\spec3320.lst 3 18 -pasteof >> ..\..\Ivfiles\spec3320.new
del ..\..\Ivfiles\spec3320.lst
ren ..\..\Ivfiles\spec3320.new spec3320.lst

rem == ..\Ivfiles\Spec3640.lst ==
header ..\..\Ivfiles\spec3640.lst 17 0 -pasteof >> ..\..\Ivfiles\spec3640.new
type spec3640.1 >> ..\..\Ivfiles\spec3640.new
header ..\..\Ivfiles\spec3640.lst 3 18 -pasteof >> ..\..\Ivfiles\spec3640.new
del ..\..\Ivfiles\spec3640.lst
ren ..\..\Ivfiles\spec3640.new spec3640.lst

cd..

cd..
tiepatch ASH.t95
del ASH.t95
del tiepatch.exe
cd resource
tiepatch tietext0.zt
del tietext0.zt
del tiepatch.exe
cd..
Goto:end

rem =========
rem Warnings:
rem =========

:EHSPMIS
echo ===========================================
echo ERROR:
echo You require the Emperors Hammer Ship Patch 
echo (EHSP-TIE) to install this craft.
echo ===========================================
echo Please download it from the Science Office.
echo ===========================================
pause
goto :end

:wrongver
echo ======================================
echo ERROR:
echo Your Version of TIE Fighter appears
echo incomplete, or of an unkown version.
echo (Trying to install on wrong version?)
echo ======================================
echo Please check the Science Office FAQ.
echo ======================================
pause
:end
